liboath-2.6.2-1.el7.x86_64.rpm


Advertisement

Description

liboath - Library for OATH handling

Property Value
Distribution CentOS 7
Repository EPEL x86_64
Package filename liboath-2.6.2-1.el7.x86_64.rpm
Package name liboath
Package version 2.6.2
Package release 1.el7
Package architecture x86_64
Package type rpm
Homepage http://www.nongnu.org/oath-toolkit/
License LGPLv2+
Maintainer -
Download size 50.52 KB
Installed size 106.45 KB
OATH stands for Open AuTHentication, which is the organization that
specify the algorithms. Supported technologies include the event-based
HOTP algorithm (RFC4226) and the time-based TOTP algorithm (RFC6238).

Alternatives

Package Version Architecture Repository
liboath-2.4.1-3.el7.nux.x86_64.rpm 2.4.1 x86_64 Nux Dextop
liboath - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.14)(64bit) -
rtld(GNU_HASH) -

Provides

Name Value
bundled(gnulib) -
liboath = 2.6.2-1.el7
liboath(x86-64) = 2.6.2-1.el7
liboath.so.0()(64bit) -
liboath.so.0(LIBOATH_1.10.0)(64bit) -
liboath.so.0(LIBOATH_1.12.0)(64bit) -
liboath.so.0(LIBOATH_1.2.0)(64bit) -
liboath.so.0(LIBOATH_1.4.0)(64bit) -
liboath.so.0(LIBOATH_1.6.0)(64bit) -
liboath.so.0(LIBOATH_1.8.0)(64bit) -
liboath.so.0(LIBOATH_2.2.0)(64bit) -
liboath.so.0(LIBOATH_2.6.0)(64bit) -

Download

Type URL
Mirror download-ib01.fedoraproject.org
Binary Package liboath-2.6.2-1.el7.x86_64.rpm
Source Package oath-toolkit-2.6.2-1.el7.src.rpm

Install Howto

  1. Download latest epel-release rpm from
    http://download-ib01.fedoraproject.org/pub/epel/7/x86_64/
  2. Install epel-release rpm:
    # rpm -Uvh epel-release*rpm
  3. Install liboath rpm package:
    # yum install liboath

Files

Path
/etc/liboath/
/usr/lib64/liboath.so.0
/usr/lib64/liboath.so.0.1.3
/usr/share/doc/liboath-2.6.2/COPYING

Changelog

2019-06-07 - Simone Caronni <negativo17@gmail.com> - 2.6.2-1
- Align with master, required for SHA256 hashes used in FreeIPA 4.6 (RHEL) TOTP
tokens.
2015-12-08 - Than Ngo <than@redhat.com> - 2.4.1-9
- fix build failure related to missing automake-1.14
2014-11-11 - Jaroslav Škarvada <jskarvad@redhat.com> - 2.4.1-8
- Removed RHEL conditionals (not needed any more)
2014-11-07 - Jaroslav Škarvada <jskarvad@redhat.com> - 2.4.1-7
- Added check for strdup failure (by strdup-null-check patch)
Resolves: rhbz#1161360
2014-08-17 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild
2014-08-05 - Jaroslav Škarvada <jskarvad@redhat.com> - 2.4.1-5
- Added support for RHEL (i.e. no PSKC yet on RHEL)
2014-06-07 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild
2014-02-20 - Jaroslav Škarvada <jskarvad@redhat.com> - 2.4.1-3
- Added xmlsec1-openssl to requires
Resolves: rhbz#1066477
2014-02-17 - Jaroslav Škarvada <jskarvad@redhat.com> - 2.4.1-2
- Added xmlsec1-openssl-devel to buildrequires
2014-02-13 - Jaroslav Škarvada <jskarvad@redhat.com> - 2.4.1-1
- New version
Resolves: rhbz#1064764

See Also

Package Description
liboath-devel-2.6.2-1.el7.x86_64.rpm Development files for liboath
liboath-doc-2.6.2-1.el7.noarch.rpm Documentation files for liboath
libodb-2.3.0-1.el7.x86_64.rpm Common ODB runtime library from Code Synthesis
libodb-boost-2.3.0-1.el7.x86_64.rpm Boost ODB runtime library from Code Synthesis
libodb-boost-devel-2.3.0-1.el7.x86_64.rpm Development files for libodb-boost
libodb-devel-2.3.0-1.el7.x86_64.rpm Development files for libodb
libodb-mysql-2.3.0-1.el7.x86_64.rpm MySQL ODB runtime library from Code Synthesis
libodb-mysql-devel-2.3.0-1.el7.x86_64.rpm Development files for libodb-mysql
libodb-pgsql-2.3.1-1.el7.x86_64.rpm PostgreSQL ODB runtime library from Code Synthesis
libodb-pgsql-devel-2.3.1-1.el7.x86_64.rpm Development files for libodb-pgsql
libodb-qt-2.3.1-1.el7.x86_64.rpm Qt ODB runtime library from Code Synthesis
libodb-qt-devel-2.3.1-1.el7.x86_64.rpm Development files for libodb-qt
libodb-sqlite-2.3.0-1.el7.x86_64.rpm SQLite ODB runtime library from Code Synthesis
libodb-sqlite-devel-2.3.0-1.el7.x86_64.rpm Development files for libodb-sqlite
libofx-0.9.9-2.el7.x86_64.rpm A library for supporting Open Financial Exchange (OFX)
Advertisement
Advertisement